function  [yhat_leaveout,mse_leaveout,corr_leaveout]  = f_apply_mdl_leaveout(FCvectorized,mask,outcome,coefficients)

  use_ind_full = ~isnan(outcome);
  leave1out_subjs = find(use_ind_full);
  num_leaveouts = sum(use_ind_full);

%initialize outputs
yhat_leaveout = nan([1,num_leaveouts]);
mse_leaveout = nan([1,num_leaveouts]);
corr_leaveout = nan([1,num_leaveouts]);

for subj = 1:sum(num_leaveouts)
    
    use_ind = false(size(use_ind_full));
    use_ind(leave1out_subjs(subj)) = true;

    %Make Estimate 
    x =  sum(FCvectorized(mask,use_ind),1)';
    yhat(subj) = coefficients(subj,1)+coefficients(subj,2)*x;
         
end

%Pull out outputs
yhat_leaveout = yhat;
y = outcome(use_ind_full);
mse_leaveout = mean((yhat_leaveout'-y).^2);
corr_leaveout =  corr(yhat_leaveout',y);    