function  [intercept_leaveout,coeff_leaveout,mse_leaveout,corr_leaveout]  = f_estimate_mdl(FCvectorized,mask,outcome)

use_ind_full = ~isnan(outcome);
leave1out_subjs = find(use_ind_full);
num_leaveouts = sum(use_ind_full);

%initialize outputs
intercept_leaveout = nan([1,num_leaveouts]);
coeff_leaveout = nan([1,num_leaveouts]);
mse_leaveout = nan([1,num_leaveouts]);
corr_leaveout = nan([1,num_leaveouts]);

for subj = 1:sum(num_leaveouts)
        
        use_ind = use_ind_full;
        use_ind(leave1out_subjs(subj)) = false;
        
         %Fit Mdl
         y = outcome(use_ind);
         X = sum(FCvectorized(mask,use_ind),1)';
         mdl = fitlm(X,y);
         
         %Pull out outputs
         intercept_leaveout(subj) = mdl.Coefficients.Estimate(1);
         coeff_leaveout(subj) = mdl.Coefficients.Estimate(2);
         mse_leaveout(subj) = mean((mdl.Fitted-y).^2);
         corr_leaveout(subj) =  corr(mdl.Fitted,y);    
end
