function [corr_avg, mask_pos, mask_neg] = f_perform_edge_selection(FCvectorized,outcome,bootstraps,prc_th)

n_bootstraps = size(bootstraps,2);
n_edges = size(FCvectorized,1);
corr_all = nan(n_edges,n_bootstraps);

for bootstrap = 1:n_bootstraps
    use_ind = bootstraps(:,n_bootstraps);
    corr_all(:,bootstrap) = corr(FCvectorized(:,use_ind)',outcome(use_ind));
end
corr_avg = mean(corr_all,2);

%Mask uper and lower prc_th
lb = prctile(corr_avg,prc_th);
ub = prctile(corr_avg,100-prc_th);

mask_pos = corr_avg > ub;
mask_neg = corr_avg < lb;

